Description: Fixing null pointer crash

Origin: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=773713
Bug-Ubuntu: https://launchpad.net/bugs/1415880
Last-Update: 2015-08-18

--- a/src/wl/sys/wl_linux.c
+++ b/src/wl/sys/wl_linux.c
@@ -2157,8 +2157,8 @@ wl_start(struct sk_buff *skb, struct net_device *dev)
 	wlif = WL_DEV_IF(dev);
 	wl = WL_INFO(dev);
 
+	skb->prev = NULL;
 	if (WL_ALL_PASSIVE_ENAB(wl) || (WL_RTR() && WL_CONFIG_SMP())) {
-		skb->prev = NULL;
 
 		TXQ_LOCK(wl);
 
-- 
1.9.1

--- a/src/wl/sys/wl_linux.a
+++ b/src/wl/sys/wl_linux.c
@@ -737,9 +737,6 @@
 		dev->name, device,
 		WL_ALL_PASSIVE_ENAB(wl) ?  ", Passive Mode" : "", EPI_VERSION_STR);
 
-#ifdef BCMDBG
-	printf(" (Compiled in " SRCBASE " at " __TIME__ " on " __DATE__ ")");
-#endif 
 	printf("\n");
 
 	wl_found++;
@@ -2098,7 +2095,7 @@
 wl_dump_ver(wl_info_t *wl, struct bcmstrbuf *b)
 {
 	bcm_bprintf(b, "wl%d: %s %s version %s\n", wl->pub->unit,
-		__DATE__, __TIME__, EPI_VERSION_STR);
+		"X", "Y", EPI_VERSION_STR);
 }
 
 #if defined(BCMDBG)
